package com.magic.creator.enums;

public enum ExpansionEnum {

	AVR("Avacyn Restored"), DKA("Dark Ascension"), ISD("Innistrad"), NPH("New Phyrexia"), MBS("Mirrodin Besieged"), SOM(
			"Scars of Mirrodin"), ROE("Rise of the Eldrazi"), WWK("Worldwake"), ZEN("Zendikar"), ARB("Alara Reborn"), CFX(
			"Conflux"), ALA("Shards of Alara"), EVE("Eventide"), SHM("Shadowmoor"), MT("Morningtide"), LW("Lorwyn"), FUT(
			"Future Sight"), PC("Planar Chaos"), TS("Time Spiral"), TSTS("Time Spiral \"Timeshifted\""), CS("Coldsnap"), AI(
			"Alliances"), IA("Ice Age"), DI("Dissension"), GP("Guildpact"), RAV("Ravnica: City of Guilds"), SOK(
			"Saviors of Kamigawa"), BOK("Betrayers of Kamigawa"), CHK("Champions of Kamigawa"), _5DN("Fifth Dawn"), DS(
			"Darksteel"), MI("Mirrodin"), SC("Scourge"), LE("Legions"), ON("Onslaught"), JU("Judgment"), TR("Torment"), OD(
			"Odyssey"), AP("Apocalypse"), PS("Planeshift"), IN("Invasion"), PR("Prophecy"), NE("Nemesis"), MM(
			"Mercadian Masques"), UD("Urza's Destiny"), UL("Urza's Legacy"), US("Urza's Saga"), EX("Exodus"), SH(
			"Stronghold"), TP("Tempest"), WL("Weatherlight"), VI("Visions"), MR("Mirage"), HL("Homelands"), FE(
			"Fallen Empires"), DK("The Dark"), LG("Legends"), AQ("Antiquities"), AN("Arabian Nights"), M13("Magic 2013"), M12(
			"Magic 2012"), M11("Magic 2011"), M10("Magic 2010"), _10E("Tenth Edition"), _9E("Ninth Edition"), _8E(
			"Eighth Edition"), _7E("Seventh Edition"), _6E("Classic Sixth Edition"), _5E("Fifth Edition"), _4E(
			"Fourth Edition"), RV("Revised Edition"), UN("Unlimited Edition"), BE("Limited Edition Beta"), AL(
			"Limited Edition Alpha"), ME4("MTGO Masters Edition IV"), ME3("MTGO Masters Edition III"), ME2(
			"MTGO Masters Edition II"), MED("MTGO Masters Edition"), PD3("Premium Deck Series: Graveborn"), PD2(
			"Premium Deck Series: Fire and Lightning"), PDS("Premium Deck Series: Slivers"), DPA(
			"Duels of the Planeswalkers"), CH("Chronicles"), PC2("Planechase 2012 Edition"), CMD("Commander"), ARC(
			"Archenemy"), PCH("Planechase"), FVL("From the Vault: Legends"), FVR("From the Vault: Relics"), FVE(
			"From the Vault: Exiled"), FVD("From the Vault: Dragons"), DDI("Duel Decks: Venser vs. Koth"), DDH(
			"Duel Decks: Ajani vs. Nicol Bolas"), DDG("Duel Decks: Knights vs. Dragons"), DDF(
			"Duel Decks: Elspeth vs. Tezzeret"), PVC("Duel Decks: Phyrexia vs. The Coalition"), GVL(
			"Duel Decks: Garruk vs. Liliana"), DVD("Duel Decks: Divine vs. Demonic"), JVC(
			"Duel Decks: Jace vs. Chandra"), EVG("Duel Decks: Elves vs. Goblins"), CSTD("Coldsnap Theme Decks"), _9EB(
			"Ninth Edition Box Set"), _8EB("Eighth Edition Box Set"), DM("Deckmasters"), BD("Beatdown Box Set"), BR(
			"Battle Royale Box Set"), AT("Anthologies"), MGBC("Multiverse Gift Box Cards"), UH("Unhinged"), UG(
			"Unglued"), UHAA("Unhinged Alternate Foils"), ST2K("Starter 2000"), ST("Starter 1999"), P3K(
			"Portal Three Kingdoms"), PO2("Portal Second Age"), PO("Portal"), ITP("Introductory Two-Player Set"), CED(
			"Collector's Edition"), CEDI("International Collectors' Edition"), _15ANN("15th Anniversary"), GPX(
			"Grand Prix"), PRO("Pro Tour"), MGDC("Magic Game Day Cards"), WRL("Worlds"), DRC("Dragon Con"), PTC(
			"Prerelease Events"), REP("Release Events"), MLP("Magic: The Gathering Launch Parties"), SUM(
			"Summer of Magic"), GRC("WPN/Gateway"), CP("Champs"), THGT("Two-Headed Giant Tournament"), ARENA(
			"Arena League"), FNMP("Friday Night Magic"), MPRP("Magic Player Rewards"), SUS("Super Series"), HHO(
			"Happy Holidays"), JR("Judge Gift Program"), POT("Portal Demogame"), EURO("European Land Program"), GURU(
			"Guru"), APAC("Asia Pacific Land Program"), WOTC("WotC Online Store"), UQC("Celebration Cards"), MBP(
			"Media Inserts"), DCILM("Legend Membership"), RVB("Limited Edition"), _4EB("Fourth Edition BB"), JPMBP(
			"Media Inserts (Special)"), SALVAT("Salvat"), HACHETTE("Hachette"), DPG("Duels of the Planeswalkers 2013"), UNKNOWN(
			"UNKNOWN");

	private String stringValue;

	ExpansionEnum(String s) {
		stringValue = s;
	}

	public String toString() {
		return stringValue;
	}

	public static ExpansionEnum get(String code) {
		try {
			return ExpansionEnum.valueOf(code.toUpperCase());
		} catch (Exception e1) {
			try {
				return ExpansionEnum.valueOf("_" + code.toUpperCase());
			} catch (Exception e2) {
				System.err.println("UNKNOWN EXPANSION: " + code);
				return UNKNOWN;
			}
		}
	}

}
