package com.magic.creator.enums;

public enum LanguageEnum {

	EN("en-US"), FR("fr-FR"), ES("es-ES"), DE("de-DE"), IT("it-IT"), JP("jp-JA"), KO("ko-KR"), RU("ru-RU"), PT("pt-BR"), TW(
			"tw-TW"), CN("cn-CN"), UNKNOWN("UNKNOWN");

	private String stringValue;

	LanguageEnum(String s) {
		stringValue = s;
	}

	public String toString() {
		return stringValue;
	}

	public static LanguageEnum get(String code) {
		try {
			return LanguageEnum.valueOf(code.toUpperCase());
		} catch (Exception e1) {
			System.err.println("UNKNOWN LANGUAGE: " + code);
			return UNKNOWN;
		}
	}
}
