package com.magic.creator.enums;

public enum RarityEnum {
	LAND("L"), COMMON("C"), COMMON_C1("U"), COMMON_C2("C"), COMMON_C3("C"), UNCOMMON("U"), UNCOMMON_U1("R"), UNCOMMON_U2(
			"U"), UNCOMMON_U3("U"), RARE("R"), RARE_R1("R"), RARE_R2("R"), RARE_U2("R"), RARE_R3("R"), MYTHIC_RARE("M"), SPECIAL(
			"P"), UNKNOWN("UNKNOWN");

	private String stringValue;

	RarityEnum(String s) {
		stringValue = s;
	}

	public String toString() {
		return stringValue;
	}

	public static RarityEnum get(String code) {
		try {
			return RarityEnum.valueOf(code.toUpperCase().replace(' ', '_').replace("(", "").replace(")", "").trim());
		} catch (Exception e1) {
			System.err.println("UNKNOWN RARITY: " + code);
			return UNKNOWN;
		}
	}
}
