package com.magic.creator.misc;

import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import com.magic.creator.enums.LanguageEnum;

public class Text {

	private final Map<LanguageEnum, String> labels = new HashMap<LanguageEnum, String>();

	public Map<LanguageEnum, String> getLabels() {
		return labels;
	}

	public void add(LanguageEnum lang, String text) {
		labels.put(lang, text);
	}

	public String get(LanguageEnum lang) {
		return labels.get(lang);
	}

	public boolean hasText() {
		return getLabelCount() > 0;
	}

	public int getLabelCount() {
		return labels.size();
	}

	@Override
	public String toString() {
		StringBuilder stringBuilder = new StringBuilder();

		for (Entry<LanguageEnum, String> entry : labels.entrySet()) {
			stringBuilder.append("    <LOCALISED_TEXT LanguageCode=\"" + entry.getKey() + "\"><![CDATA["
					+ entry.getValue() + "]]></LOCALISED_TEXT>\n");
		}

		return stringBuilder.toString();
	}
}
